import { ElementRef, EventEmitter } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { Options } from './ng-codeflask.types';
export declare class NgCodeflaskComponent implements ControlValueAccessor {
    flaskInstance: any;
    isReadOnly: boolean;
    isRTL: boolean;
    hasLineNumber: boolean;
    useDefaultTheme: boolean;
    currentLanguage: string;
    currentCode: any;
    afterInit: boolean;
    options: Options;
    editorContent: ElementRef;
    writeValue(obj: any): void;
    propagateChange: (_: any) => void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    emitChanges(): void;
    codeChange: EventEmitter<any>;
    code: any;
    readonly: boolean;
    rtl: boolean;
    linenumbers: boolean;
    defaultTheme: boolean;
    language: string;
    addLanguage: {
        lang: string;
        options: any;
    };
    ngAfterViewInit(): void;
    private onBuildEditor;
    private onCodeUpdate;
    private onGetCode;
    private onUpdateLanguage;
    private onAddLanguage;
    private onDisableReadonly;
    private onEnableReadonly;
}
